Don't mention MacOS and Solaris in README and INSTALL.
authorAndre Noll <maan@tuebingen.mpg.de>
Tue, 16 Jun 2020 00:18:22 +0000 (02:18 +0200)
committerAndre Noll <maan@tuebingen.mpg.de>
Tue, 16 Jun 2020 00:29:16 +0000 (02:29 +0200)
Support for these was dropped recently.

INSTALL
README

diff --git a/INSTALL b/INSTALL
index 3bd8751..a5f4191 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -15,13 +15,9 @@ type
                make install
 
 as root to install libosl, oslfsck and the man page. Finally, update
-the library cache by running either
+the library cache by running
 
-               ldconfig # Linux, *BSD
-
-or
-
-               update_dyld_shared_cache # MacOS
+               ldconfig
 
 The default installation prefix is /usr/local. Use
 
diff --git a/README b/README
index 578cc34..944d378 100644 (file)
--- a/README
+++ b/README
@@ -27,8 +27,8 @@ Libosl is fast:
 
 Libosl is portable:
 
-- It is known to compile and run on Linux, MacOS, FreeBSD,
-NetBSD and Solaris.
+- It is known to compile and run on Linux, FreeBSD, NetBSD. It might
+work on other Unix systems as well.
 
 - Content and metadata is stored in an endian-agnostic way.